<div class="breadcrumb-container">
	<ol class="breadcrumb">
		<li><a data-ui-sref="/dashboard">{{"COMMON.HOME" | translate}}</a></li>
		<li><a data-ui-sref="CategoryList">Category</a></li>
		<li class="active">{{vm.isNewRecord?'New Category':'Update '+vm.record.name}}</li>
	</ol>
</div>
<div class="panel panel-primary edit-page-form">
	<div class="panel-heading">
		<h3 class="panel-title">Category {{vm.isNewRecord?'New':'Edit'}}</h3>
	</div>
	<div class="panel-body">
		<form name="recordForm" novalidate="novalidate">
			<h3 class="form-sub-title">{{"EDIT.BASIC_INFO" | translate}}</h3>
			<hr class="margin-bottom-40">
			<div class="row" data-ng-if="vm.authRepository.isAccessible('CategoryEditFields')" data-ng-disabled="vm.authRepository.isDisabled('CategoryEditFields')">
            			<div class="col-md-6">
							<div class="form-group row" data-ng-class="{'has-error':recordForm.Name.$error.required && vm.onClickValidation}">
								<label class="control-label text-right col-md-3">
									{{"Category.name" | translate}}
								</label>
								<div class="col-md-9">
											<input class="form-control" max="255" min="0" type="text" name="Name" required="required" data-ng-model="vm.record.name"> 
								</div>
							</div>
						</div>
            			<div class="col-md-6">
							<div class="form-group row" data-ng-class="{'has-error':recordForm.IsActive.$error.required && vm.onClickValidation}">
								<label class="control-label text-right col-md-3">
									{{"Category.isActive" | translate}}
								</label>
								<div class="col-md-9">
									<div class="material-switch">
										<input id="someSwitchisactive" name="someSwitchOptionisactive" type="checkbox" data-ng-model="vm.record.isActive" />
										<label for="someSwitchisactive" class="label-primary"></label>
									</div>
								</div>
							</div>
						</div>
			</div>
		</form>
	</div>
	<div class="panel-footer text-right">
		<button title="Save" class="btn btn-primary site-button" type="button" data-ng-click="vm.save(recordForm.$valid)" data-ng-disabled="vm.isProcessing">
			{{"COMMON.SAVE" | translate}} <i class="fa fa-spinner fa-spin" data-ng-show="vm.isProcessing"></i>
		</button>
		<a title="Cancel" class="btn btn-default site-cancel-button" type="button" data-ng-if="vm.authRepository.isAccessible('CategoryCancelButton')" data-ng-disabled="vm.authRepository.isDisabled('CategoryCancelButton')" data-ui-sref="CategoryList">
			{{"COMMON.CANCEL" | translate}} 
		</a>
	</div>
</div>


